%global momorel 18

Name: libcap
Version: 1.10
Release: %{momorel}m
Summary: Library for getting and setting POSIX.1e capabilities
Source0: ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/%{name}-%{version}.tar.bz2
Source1: http://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/capfaq-0.2.txt
License: BSD or LGPL
Patch: libcap-1.10-ia64.patch
Patch1: libcap-1.10-userland.patch
Patch2: libcap-1.10-shared.patch
Patch3: libcap-1.10-alpha.patch
Patch4: libcap-1.10-useCFLAGSwithCC.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0
PreReq: coreutils

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package devel
Summary: Development files for libcap
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for libcap.

libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

Install libcap-devel if you want to develop or compile applications using
libcap.

%prep
%setup -q
# FIXME: Is this really required still?
%patch -p1 -b .ia64
%ifarch alpha
# FIXME: Is this really required still?
%Patch3 -p1 -b .alpha
%endif
%patch1 -p1 -b .userland
%patch2 -p1 -b .shared
%patch4 -p1

%build
make PREFIX=%{_prefix} LIBDIR=%{_libdir} 

%install
rm -rf %{buildroot}
make install FAKEROOT=%{buildroot} \
             LIBDIR=%{buildroot}/%{_lib} \
             SBINDIR=%{buildroot}/%{_sbindir} \
             INCDIR=%{buildroot}/%{_includedir} \
             MANDIR=%{buildroot}/%{_mandir}/ \
             COPTFLAG="$RPM_OPT_FLAGS"
mkdir -p %{buildroot}/%{_mandir}/man{2,3,8}
mv -f doc/*.2 %{buildroot}/%{_mandir}/man2/
mv -f doc/*.3 %{buildroot}/%{_mandir}/man3/
cp %{SOURCE1} doc/

chmod +x %{buildroot}/%{_lib}/*.so.*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/%{_lib}/*.so.*
%{_sbindir}/*
%doc doc/capability.notes  doc/capfaq-0.2.txt

%files devel
%defattr(-,root,root)
%{_includedir}/sys/capability.h
/%{_lib}/*.so
%{_mandir}/man2/*
%{_mandir}/man3/*

%clean
rm -rf %{buildroot}

%changelog
* Tue Aug  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.10-18m)
- revise %%files

* Sun Jul 30 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.10-17m)
- import patch from fc

* Thu Jun  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.10-16m)
- chmod +x /%%{_lib}/*.so.*

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10-15m)
- fixed gcc4 build.
- add optflags="%{optflags} -fPIC"

* Sun Oct 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.10-14m)
- enable ia64.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.10-13m)
- fix ppc bug!

* Sun Jan 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.10-12m)
- enable x86_64.

* Wed Apr  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.10-11m)
- add PreReq: coreutils

* Sun Mar 28 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.10-10m)
- change library location from /usr/lib to /lib for /bin/zsh*

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (1.10-9m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Thu Nov  8 2001 Shigno Akagaki <dora@kondara.org>
- (1.10-8k)
- nigirisugi

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (1.10-6k)
- modified Make.Rules for alpha.

* Fri Oct 26 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.10-4k)
- modify spec file to user macros
- enable to build on Alpha Architecture

* Tue Oct 23 2001 Toru Hoshina <t@kondara.org>
- (1.10-2k)
- merge from RawHide. [1.10-5]

* Mon Jul 16 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add post,postun scripts

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com>
- don't build libcap.so.1 with ld -shared, but gcc -shared

* Wed Jun 20 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Rebuild - it was missing for alpha

* Wed Jun 06 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390/s390x support

* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.10-1
- initial RPM
- fix build on ia64
